## usbmuxd 1.0.2

=== CMakeLists.txt ===
PROJECT(usbmuxd)

set(USBMUXD_VERSION "1.0.0")
set(LIBUSBMUXD_VERSION "${USBMUXD_VERSION}")
set(LIBUSBMUXD_SOVERSION "1")

cmake_minimum_required(VERSION 2.6)

if(NOT DEFINED LIB_SUFFIX)
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(LIB_SUFFIX "64" CACHE STRING "Define suffix of library directory name (32/64)" )
    else(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
    endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
endif(NOT DEFINED LIB_SUFFIX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/Modules/")

# let CFLAGS env override this
if(CMAKE_C_FLAGS STREQUAL "")
    set(CMAKE_C_FLAGS "-O2")
endif(CMAKE_C_FLAGS STREQUAL "")

add_definitions(-Wall)

add_subdirectory (libusbmuxd)
add_subdirectory (daemon)
add_subdirectory (tools)
add_subdirectory (udev)

# pkg-config
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libusbmuxd.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libusbmuxd.pc")
# install pkg-config file
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libusbmuxd.pc" DESTINATION lib${LIB_SUFFIX}/pkgconfig/)

# add uninstall target
configure_file("${CMAKE_SOURCE_DIR}/Modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== debian/changelog ===
usbmuxd (1.0.2-1ubuntu2) lucid; urgency=low

  * 03-ipad-usb-id.patch: Add 05ac:129a matching for iPad Wifi.
    Backported from upstream git head.  (LP: #555358)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 06 Apr 2010 09:35:15 +0100

usbmuxd (1.0.2-1ubuntu1) lucid; urgency=low

  * 02-udev-usbmux-owner.patch: Flag devices with USBMUX_SUPPORTED udev
    property, so that things higher in the stack (such as gvfs) can recognize
    them. Patch backported from upstream git head. (LP: #537261)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 23 Mar 2010 20:50:56 +0100

usbmuxd (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
   - Bump Standards-Version to 3.8.4, no change needed.
   - Add Homepage field.
  * debian/usbmuxd.docs
   - Install README, README.devel and AUTHORS (Closes: #568758)
  * debian/patches/02-udev-usbmux-owner.patch 
   - Set the owner to usbmux to fix permissions issues (Closes: #572867)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 07 Mar 2010 14:22:22 +0100

usbmuxd (1.0.0-2) unstable; urgency=low

  * debian/rules: Rewriten to use dh7.
  * debian/control: 
   - Set debhelper build-depends to (>= 7.0.50~), using overrides in 
     debian/rules.
   - Wrap build-depends and depends.
   - Build-depends on libusb2-dev on kfreebsd.
   - Add VCS-* fields.
  * debian/copyright:
   - Licence the package under LGPL2.1+ and set the copyright to me, the parts
     based on another package was rewritten. Closes: #562572
   - Fix typo in license notice.
  * debian/01-libs.private.patch: Remove Requires in *.pc file, libusb is only
    used in the daemon.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 23 Jan 2010 16:53:27 +0100

usbmuxd (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #558310)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 09 Dec 2009 21:04:24 +0100

=== debian/control ===
Source: usbmuxd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~),
               libusb-1.0-0-dev (>= 1.0.3) [!kfreebsd-i386 !kfreebsd-amd64] | libusb2-dev (>= 8.0-4) [kfreebsd-i386 kfreebsd-amd64],
               cmake
Homepage: http://marcansoft.com/blog/iphonelinux/usbmuxd/
Vcs-Git: git://github.com/gilir/usbmuxd-debian.git
Vcs-Browser: http://github.com/gilir/usbmuxd-debian/tree

Package: usbmuxd
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         adduser
Description: USB multiplexor daemon for iPhone and iPod Touch devices
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.

Package: libusbmuxd1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: USB multiplexor daemon for iPhone and iPod Touch devices - library
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.
 .
 This package contains the shared library.

Package: libusbmuxd-dev
Architecture: any
Section: libdevel
Depends: libusbmuxd1 (= ${binary:Version}),
         ${misc:Depends}
Description: USB multiplexor daemon for iPhone and iPod Touch devices - devel
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.
 .
 This package contains the development files.

Package: libusbmuxd1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libusbmuxd1 (= ${binary:Version}), 
         ${misc:Depends}
Description: USB multiplexor daemon for iPhone and iPod Touch devices - debug
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.
 .
 This package contains the debugging symbols.

## usbmuxd 1.0.4

=== CMakeLists.txt ===
PROJECT(usbmuxd)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/Modules/")

include(VersionTag)

set(USBMUXD_VERSION "${VERSION_TAG}")
set(LIBUSBMUXD_VERSION "${VERSION_TAG}")
set(LIBUSBMUXD_SOVERSION "1")

message("-- Configuring usbmuxd v${VERSION_TAG}")

if(NOT DEFINED LIB_SUFFIX)
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(LIB_SUFFIX "64" CACHE STRING "Define suffix of library directory name (32/64)" )
  else()
    set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
  endif()
endif()

# let CFLAGS env override this
if(CMAKE_C_FLAGS STREQUAL "")
  set(CMAKE_C_FLAGS "-O2")
endif()

option(WITH_USBMUXD "Build usbmux daemon (usbmuxd)" ON)
if(WITH_USBMUXD)
  message("-- Will build usbmuxd: YES")
else()
  message("-- Will build usbmuxd: NO")
  message("** NOTE: will NOT build usbmuxd **")
  if(WIN32 OR APPLE)
    message("** Make sure iTunes is installed, otherwise this software will not work! **")
  else()
    message("** You'll need a working usbmuxd implementation for this software to work! **")
  endif()
endif()

add_definitions(-Wall)

add_subdirectory (libusbmuxd)
if (WITH_USBMUXD)
  add_subdirectory (daemon)
  if (NOT(WIN32 OR APPLE))
    add_subdirectory (udev)
  endif()
endif()
add_subdirectory (tools)

# pkg-config
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libusbmuxd.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libusbmuxd.pc")
# install pkg-config file
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libusbmuxd.pc" DESTINATION lib${LIB_SUFFIX}/pkgconfig/)

# add uninstall target
configure_file("${CMAKE_SOURCE_DIR}/Modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== daemon/CMakeLists.txt ===
find_package(USB REQUIRED)
include_directories(${USB_INCLUDE_DIRS})
set(LIBS ${LIBS} ${USB_LIBRARIES})

include_directories (${CMAKE_SOURCE_DIR}/common)
include_directories (${CMAKE_SOURCE_DIR}/daemon)
include_directories (${CMAKE_SOURCE_DIR}/libusbmuxd)

add_definitions(-DUSBMUXD_DAEMON -DUSBMUXD_VERSION="${USBMUXD_VERSION}")
add_executable(usbmuxd main.c usb-linux.c log.c ${CMAKE_SOURCE_DIR}/common/utils.c device.c client.c)
target_link_libraries(usbmuxd ${LIBS})

install(TARGETS usbmuxd RUNTIME DESTINATION sbin)

message("
* REMINDER
* Remember to add a user named 'usbmux' with USB access permissions
* for the udev hotplugging feature to work out of the box.
")

=== libusbmuxd/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR}/common)
find_package(Threads)

add_library (libusbmuxd SHARED libusbmuxd.c sock_stuff.c ${CMAKE_SOURCE_DIR}/common/utils.c)
find_library (PTHREAD pthread)
target_link_libraries (libusbmuxd ${CMAKE_THREAD_LIBS_INIT})

# 'lib' is a UNIXism, the proper CMake target is usbmuxd
# But we can't use that due to the conflict with the usbmuxd daemon,
# so instead change the library output base name to usbmuxd here
set_target_properties(libusbmuxd PROPERTIES OUTPUT_NAME usbmuxd)
set_target_properties(libusbmuxd PROPERTIES VERSION ${LIBUSBMUXD_VERSION})
set_target_properties(libusbmuxd PROPERTIES SOVERSION ${LIBUSBMUXD_SOVERSION})

install(TARGETS libusbmuxd
	ARCHIVE DESTINATION lib${LIB_SUFFIX}
	LIBRARY DESTINATION lib${LIB_SUFFIX}
)
install(FILES usbmuxd.h usbmuxd-proto.h DESTINATION include)

=== tools/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR}/libusbmuxd)
link_directories (${CMAKE_BINARY_DIR}/libusbmuxd)

add_executable(iproxy iproxy.c)
target_link_libraries(iproxy libusbmuxd pthread)

install(TARGETS iproxy RUNTIME DESTINATION bin)

=== debian/changelog ===
usbmuxd (1.0.4-1) unstable; urgency=low

  * New upstream release.
   - Add Apple iPad USB IDs. Closes: #576474
  * debian/control:
   - Mention that usbmuxd only runs when devices are connected. Closes: #577269
  * debian/patches
   - 01-libs.private.patch: Remove, merged upstream.
   - 02-udev-usbmux-owner.patch: Refreshed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 24 May 2010 23:11:05 +0200

usbmuxd (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-udev-usbmux-owner.patch: Refreshed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 23 Mar 2010 19:37:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: usbmuxd
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
+Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 7.0.50~),
                libusb-1.0-0-dev (>= 1.0.3) [!kfreebsd-i386 !kfreebsd-amd64] | libusb2-dev (>= 8.0-4) [kfreebsd-i386 kfreebsd-amd64],
@@ -21,6 +20,9 @@
  access to iPhone and iPod Touch services over USB. Synchronization and
  management applications for the iPhone and iPod Touch need this daemon
  to communicate with such devices concurrently.
+ .
+ This package includes udev rules to start the daemon when a supported
+ device is plugged in, and stop it when all devices are removed.
 
 Package: libusbmuxd1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -O2 -Wall
LDFLAGS = -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

configure_flags += \
			-DCMAKE_INSTALL_PREFIX="/usr" \
			-DCMAKE_SKIP_RPATH=true \
			-DLIB_SUFFIX= \
			-DUSB_PKGCONF_INCLUDE_DIRS="/usr/include/libusb-1.0"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libusbmuxd1-dbg

## usbmuxd 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 message("-- Configuring usbmuxd v${VERSION_TAG}")
 
 if(NOT DEFINED LIB_SUFFIX)
-  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+  if(CMAKE_SIZEOF_VOID_P EQUAL 8 AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set(LIB_SUFFIX "64" CACHE STRING "Define suffix of library directory name (32/64)" )
   else()
     set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
@@ -25,7 +25,31 @@
   set(CMAKE_C_FLAGS "-O2")
 endif()
 
+option(WANT_PLIST "Build with protocol version 1 support using libplist" ON)
+
+set(OPT_INCLUDES "")
+set(OPT_LIBS "")
+if(WANT_PLIST)
+  find_package(PLIST)
+  if(PLIST_FOUND)
+    set(HAVE_PLIST ON)
+    set(OPT_INCLUDES ${OPT_INCLUDES} ${PLIST_INCLUDE_DIRS})
+    set(OPT_LIBS ${OPT_LIBS} ${PLIST_LIBRARIES})
+  else()
+    message("* NOTE: libplist was not found!")
+    message("* libusbmuxd/usbmuxd will be build WITHOUT support for version 1")
+    message("* of the usbmux protocol (plist based).")
+  endif()
+endif()
+
 option(WITH_USBMUXD "Build usbmux daemon (usbmuxd)" ON)
+if(WIN32 AND WITH_USBMUXD)
+  message("** NOTE: usbmuxd cannot be built on WIN32 due to missing libusb-1.0 support!")
+  message("   If you need your own usbmuxd you have to use usbmuxd-legacy which works")
+  message("   with libusb-0.1; otherwise just use the one that ships with iTunes.")
+  message("   Building of usbmuxd has been disabled.")
+  set(WITH_USBMUXD OFF)
+endif()
 if(WITH_USBMUXD)
   message("-- Will build usbmuxd: YES")
 else()
@@ -43,7 +67,7 @@
 add_subdirectory (libusbmuxd)
 if (WITH_USBMUXD)
   add_subdirectory (daemon)
-  if (NOT(WIN32 OR APPLE))
+  if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     add_subdirectory (udev)
   endif()
 endif()

=== debian/changelog ===
usbmuxd (1.0.7-2) unstable; urgency=high

  * debian/control:
   - Update Maintainer field, and add me to Uploaders.
   - Update Vcs-*.
  * debian/patches/90-cve-2012-0065.patch:
   - From upstream, fix possible buffer overflow (CVE-2012-0065).
     Closes: #656581

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 20 Jan 2012 22:49:38 +0100

usbmuxd (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * debian/install:
   - Don't install udev rules on all archs.
  * debian/rules:
   - Install udev files only on archs which have udev.
  * debian/patches
   - 02-udev-usbmux-owner.patch: Refreshed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 22 Mar 2011 20:30:45 +0100

usbmuxd (1.0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 13 Feb 2011 23:34:34 +0100

usbmuxd (1.0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02-udev-usbmux-owner.patch: Refresh.
  * debian/libusbmuxd1.symbols: Add new symbol.
  * debian/rules:
   - Remove additional CFLAGS to pass correct flags.
   - Add additional LDFLAGS.
   - Use filter instead of findstring to find noopt.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 28 Nov 2010 00:23:47 +0100

usbmuxd (1.0.5-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
   - Build-depends on libplist-dev (>= 0.15) to activate plist support.
   - Use better build-depends for libusb. Thanks Aurelien Jarno for the advise.
     Closes: #585634
   - Bump Standards-Version to 3.9.1.0.
  * debian/patch/03-revert-ifdef-USBMUXD_DAEMON.patch:
   - Revert upstream commit which only help WIN32 compilation.
  * debian/libusbmuxd1.symbols:
   - Updated.
 
 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 13 Oct 2010 23:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: usbmuxd
 Section: utils
 Priority: optional
-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.8.4
+Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
+Standards-Version: 3.9.1.0
 Build-Depends: debhelper (>= 7.0.50~),
-               libusb-1.0-0-dev (>= 1.0.3) [!kfreebsd-i386 !kfreebsd-amd64] | libusb2-dev (>= 8.0-4) [kfreebsd-i386 kfreebsd-amd64],
-               cmake
+               libusb-1.0-0-dev (>= 1.0.3) [linux-any],
+               libusb2-dev (>= 8.0-4) [kfreebsd-any],
+               cmake,
+               libplist-dev (>= 0.15)
 Homepage: http://marcansoft.com/blog/iphonelinux/usbmuxd/
-Vcs-Git: git://github.com/gilir/usbmuxd-debian.git
-Vcs-Browser: http://github.com/gilir/usbmuxd-debian/tree
+Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/usbmuxd.git
+Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/usbmuxd.git
 
 Package: usbmuxd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -O2 -Wall
-LDFLAGS = -Wl,--as-needed
+LDFLAGS += -Wl,--as-needed
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
 else
     CFLAGS += -O2
@@ -25,6 +24,14 @@
 	dh_auto_configure -- 	$(configure_flags)
 
 override_dh_install:
+
+#Install udev files only on arch which have udev 
+#see https://buildd.debian.org/quinn-diff/sid/Packages-arch-specific
+ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-amd64 kfreebsd-i386 hurd-i386))
+	dh_install -pusbmuxd lib/udev/rules.d/*
+endif
+	rm -f debian/tmp/lib/udev/rules.d/*
+
 	dh_install --fail-missing
 
 override_dh_strip:

=== debian/watch ===
version=3
http://marcansoft.com/uploads/usbmuxd/usbmuxd-([\d\.]+).tar.bz2

## usbmuxd 1.0.8

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 find_package(USB REQUIRED)
 include_directories(${USB_INCLUDE_DIRS})
-set(LIBS ${LIBS} ${USB_LIBRARIES})
-
+include_directories(${OPT_INCLUDES})
+set(LIBS ${LIBS} ${USB_LIBRARIES} ${OPT_LIBS})
+if(HAVE_PLIST)
+  add_definitions("-DHAVE_PLIST")
+  message("-- usbmuxd will be built with protocol version 1 support")
+endif()
 include_directories (${CMAKE_SOURCE_DIR}/common)
 include_directories (${CMAKE_SOURCE_DIR}/daemon)
 include_directories (${CMAKE_SOURCE_DIR}/libusbmuxd)

=== udev/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/85-usbmuxd.rules.in ${CMAKE_CURRENT_BINARY_DIR}/85-usbmuxd.rules @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/85-usbmuxd.rules DESTINATION /lib/udev/rules.d/)

=== debian/changelog ===
usbmuxd (1.0.8-2ubuntu1) trusty; urgency=low

  * Merge from debian, remaining changes:
    - Correctly find inotify.h to build with inotify support (LP: #656009).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 17:09:17 +0100

usbmuxd (1.0.8-2) unstable; urgency=low

  * Team upload
  * Upload to unstable
  * Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 08 Sep 2013 23:55:52 +0800

usbmuxd (1.0.8-1ubuntu1) raring; urgency=low

  * Correctly find inotify.h to build with inotify support (LP: #656009).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 30 Jan 2013 14:26:52 +0000

usbmuxd (1.0.8-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
   - 90-cve-2012-0065.patch: Remove, merged upstream.
   - 02-udev-usbmux-owner.patch: Refreshed.
   - 03-revert-ifdef-USBMUXD_DAEMON.patch: Refreshed.
  * debian/compat
   - Update to 9.
  * debian/control:
   - Update to match new SONAME.
   - Update Standards-Version to 3.9.3 (no change needed).
   - Build-depend on debhelper (>= 9).
  * debian/rules:
   - Update to match new SONAME.
   - Use DEB_*_MAINT_APPEND.
  * debian/libusbmuxd*.install & debian/libusbmuxd*.symbols
   - Update to match new SONAME.
  * debian/libusbmuxd2.symbols:
   - Update with new symbols.
  * debian/watch:
   - Update location of the tarballs.
  * debian/copyright:
   - Update with new license on common/*.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 02 May 2012 12:20:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: usbmuxd
 Section: utils
 Priority: optional
-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.1.0
-Build-Depends: debhelper (>= 7.0.50~),
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
                libusb-1.0-0-dev (>= 1.0.3) [linux-any],
                libusb2-dev (>= 8.0-4) [kfreebsd-any],
                cmake,
@@ -27,7 +28,7 @@
  This package includes udev rules to start the daemon when a supported
  device is plugged in, and stop it when all devices are removed.
 
-Package: libusbmuxd1
+Package: libusbmuxd2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, 
@@ -43,7 +44,7 @@
 Package: libusbmuxd-dev
 Architecture: any
 Section: libdevel
-Depends: libusbmuxd1 (= ${binary:Version}),
+Depends: libusbmuxd2 (= ${binary:Version}),
          ${misc:Depends}
 Description: USB multiplexor daemon for iPhone and iPod Touch devices - devel
  usbmuxd, the USB multiplexor daemon, is in charge of coordinating
@@ -53,11 +54,11 @@
  .
  This package contains the development files.
 
-Package: libusbmuxd1-dbg
+Package: libusbmuxd2-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libusbmuxd1 (= ${binary:Version}), 
+Depends: libusbmuxd2 (= ${binary:Version}), 
          ${misc:Depends}
 Description: USB multiplexor daemon for iPhone and iPod Touch devices - debug
  usbmuxd, the USB multiplexor daemon, is in charge of coordinating

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-LDFLAGS += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
+    DEB_CFLAGS_MAINT_APPEND = -O0
 else
-    CFLAGS += -O2
+    DEB_CFLAGS_MAINT_APPEND = -O2
 endif
 
 configure_flags += \
@@ -35,4 +35,4 @@
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libusbmuxd1-dbg
+	dh_strip --dbg-package=libusbmuxd2-dbg

## usbmuxd 1.0.8+git20140527.e72f2f7

=== debian/changelog ===
usbmuxd (1.0.8+git20140527.e72f2f7-2) unstable; urgency=medium

  * Team upload
  * [e926e16] Patch to fix FTBFS in kfreebsd-*
    Thanks to Steven Chamberlain <steven@pyro.eu.org> (Closes: #765010)
  * [c9453c6] Set Arch to linux-any, kfreebsd-any
    hurd-i386 does not have libusb.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 13 Nov 2014 12:22:26 +0800

usbmuxd (1.0.8+git20140527.e72f2f7-1) unstable; urgency=medium

  * Team upload
  * [70ded53] Imported Upstream snapshot 1.0.8+git20140527.e72f2f7
    (Closes: #746634)
  * [2e1ea72] Change build to use autofoo things.
    Thanks to Takahide Nojima
  * [362bc62] Drop README.devel from usbmuxd.docs.
    Thanks to Takahide Nojima
  * [4654006] Drop libusbmuxd-dev build-dep.
    Thanks to Takahide Nojima
  * [c294c25] Drop useless variable declarations at the top of d/rules
  * [5c9a3a1] Drop debian/iproxy.1 manpage altogether.
    Thanks to Takahide Nojima
  * [c2315fc] Drop upstreamed and obsolete patches.
    Thanks to Takahide Nojima
  * [96a7dd0] Update Add-systemd-service-file….patch for autofoo.
    Thanks to Takahide Nojima
  * [a4211fb] Build-dep on pkg-config
  * [d108968] Build-dep on libimobiledevice-dev

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Sep 2014 18:05:52 +0800

usbmuxd (1.0.8-5) unstable; urgency=medium

  * Team upload
  * [9004918] Don't install iproxy.1 manpage (Closes: #743605)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 09 Apr 2014 02:59:45 +0800

usbmuxd (1.0.8-4) unstable; urgency=medium

  * Team upload
  * [46d0953] Drop internal libusbmuxd bits (Closes: #743605)
  * [6416634] Reexport old patches from gilir using gbp-pq
  * [0a4a669] Patch out building of libusbmuxd and tools
  * [4ad35d6] Don't install usr/bin/* in usbmuxd.
    The only thing there is iproxy, and that's been removed.
  * [eb120df] Reintroduce dbg package as usbmuxd-dbg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 04 Apr 2014 15:53:36 +0800

usbmuxd (1.0.8-3) unstable; urgency=medium

  * Team upload
  * [0bb9553] Add systemd support (Closes: #741338)
  * [925558c] Install systemd unit file
  * [cdc7937] Bump Standards-Version to 3.9.5 (no changes required)
  * [526d353] Set home directory when creating user

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 15 Mar 2014 03:11:05 +0800

=== debian/control ===
Source: usbmuxd
Section: utils
Priority: optional
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libusb-1.0-0-dev (>= 1.0.3) [linux-any],
               libusb2-dev (>= 8.0-4) [kfreebsd-any],
               libplist-dev (>= 0.15),
               libimobiledevice-dev (>= 1.1.6)
Homepage: http://marcansoft.com/blog/iphonelinux/usbmuxd/
Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/usbmuxd.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/usbmuxd.git

Package: usbmuxd
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Description: USB multiplexor daemon for iPhone and iPod Touch devices
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.
 .
 This package includes udev rules to start the daemon when a supported
 device is plugged in, and stop it when all devices are removed.

Package: usbmuxd-dbg
Architecture: linux-any kfreebsd-any
Section: debug
Priority: extra
Depends: usbmuxd (= ${binary:Version}),
         ${misc:Depends}
Description: USB multiplexor daemon for iPhone and iPod Touch devices - debug
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.
 .
 This package contains the debugging symbols.

## usbmuxd 1.1.0

=== docs/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/usbmuxd
pkgincludedir = $(includedir)/usbmuxd
pkglibdir = $(libdir)/usbmuxd
pkglibexecdir = $(libexecdir)/usbmuxd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = docs
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/as-compiler-flag.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mszulecki/Documents/Software/usbmuxd/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/mszulecki/Documents/Software/usbmuxd/missing autoconf
AUTOHEADER = ${SHELL} /home/mszulecki/Documents/Software/usbmuxd/missing autoheader
AUTOMAKE = ${SHELL} /home/mszulecki/Documents/Software/usbmuxd/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GLOBAL_CFLAGS =   -g -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/i586-suse-linux/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mszulecki/Documents/Software/usbmuxd/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = usbmuxd
PACKAGE_BUGREPORT = https://github.com/libimobiledevice/usbmuxd/issues
PACKAGE_NAME = usbmuxd
PACKAGE_STRING = usbmuxd 1.1.0
PACKAGE_TARNAME = usbmuxd
PACKAGE_URL = http://libimobiledevice.org
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SYSTEMD_SUB = systemd
UDEV_SUB = udev
VERSION = 1.1.0
WINDRES = 
abs_builddir = /home/mszulecki/Documents/Software/usbmuxd/docs
abs_srcdir = /home/mszulecki/Documents/Software/usbmuxd/docs
abs_top_builddir = /home/mszulecki/Documents/Software/usbmuxd
abs_top_srcdir = /home/mszulecki/Documents/Software/usbmuxd
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mszulecki/Documents/Software/usbmuxd/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/lib
libimobiledevice_CFLAGS = -DOPENSSL_LOAD_CONF -I/usr/include/libxml2 
libimobiledevice_LIBS = -limobiledevice -lplist -lusbmuxd -lssl -lcrypto 
libplist_CFLAGS = -I/usr/include/libxml2 
libplist_LIBS = -lplist 
libpthread_LIBS = -lpthread
libusb_CFLAGS = -I/usr/include/libusb-1.0 
libusb_LIBS = -lusb-1.0 
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemdsystemunitdir = /usr/lib/systemd/system
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
udev_activation_rule = TAG+="systemd", ENV{SYSTEMD_WANTS}="usbmuxd.service"
udevrulesdir = /usr/lib/udev/rules.d
man_MANS = usbmuxd.1
EXTRA_DIST = $(man_MANS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign docs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \

=== debian/changelog ===
usbmuxd (1.1.0-2) unstable; urgency=medium

  * Team upload
  * [5d6e390] Set Arch to linux-any, kfreebsd-any
    hurd-i386 does not have libusb.

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Jan 2016 17:50:27 +0800

usbmuxd (1.1.0-1) experimental; urgency=medium

  * Team upload
  * [5fb30fe] Imported Upstream version 1.1.0
  * [50e9e00] Drop systemd patch (upstreamed)
  * [b363fda] Patch to fix FTBFS in kfreebsd-*
    Thanks to Steven Chamberlain <steven@pyro.eu.org> (Closes: #765010)
  * [e5ebda6] Build-dep on udev and systemd on linux
  * [67fc433] Drop downstream manpage in favour of upstream one
  * [feeffbe] No-change Standards-Version bump to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Nov 2014 17:59:14 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                pkg-config,
                libusb-1.0-0-dev (>= 1.0.3) [linux-any],
+               udev [linux-any],
+               systemd [linux-any],
                libusb2-dev (>= 8.0-4) [kfreebsd-any],
                libplist-dev (>= 0.15),
                libimobiledevice-dev (>= 1.1.6)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_install:

#Install udev files only on arch which have udev 
#see https://buildd.debian.org/quinn-diff/sid/Packages-arch-specific
ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-amd64 kfreebsd-i386 hurd-i386))
	dh_install -pusbmuxd lib/udev/rules.d/*
	dh_install -pusbmuxd lib/systemd/system/*
endif
	rm -f debian/tmp/lib/udev/rules.d/* debian/tmp/lib/systemd/system/*

	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=usbmuxd-dbg

=== debian/watch ===
version=3
http://libimobiledevice.org/ downloads/usbmuxd-(.+)\.tar\.bz2

## usbmuxd 1.1.1~git20180428.b95a0a0

=== debian/changelog ===
usbmuxd (1.1.1~git20180428.b95a0a0-1) unstable; urgency=medium

  * d/gbp.conf: follow DEP-14
  * d/compat bumped to 10
  * d/control: bump debhelper b-d to 10
  * d/rules: drop autoreconf addon, useless with compat 10
  * d/control: drop dh-autoreconf b-d
  * d/control: drop Julien from uploaders, add myself
  * d/control: move maintainer list address to alioth-lists

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 30 Apr 2018 12:44:22 +0200

usbmuxd (1.1.1~git20180302.b888970-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/gbp.conf added
  * d/usbmuxd.install: manpages have moved to section 8
  * remove -dbg package, migrate to dbgsym
  * d/rules: handle more gracefully non linux arches
  * d/control: update standards version to 4.1.2
  * d/rules: enable all hardening flags
  * New upstream version 1.1.1~git20180302.b888970
  * d/control: update Vcs-* fields to point to salsa
  * d/control: update homepage to point to github

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 02 Mar 2018 22:30:04 +0100

=== debian/control ===
Source: usbmuxd
Section: utils
Priority: optional
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@alioth-lists.debian.net>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 10),
               pkg-config,
               libusb-1.0-0-dev (>= 1.0.3) [linux-any],
               udev [linux-any],
               systemd [linux-any],
               libusb2-dev (>= 8.0-4) [kfreebsd-any],
               libplist-dev (>= 0.15),
               libimobiledevice-dev (>= 1.1.6)
Homepage: https://github.com/libimobiledevice/usbmuxd
Vcs-Git: https://salsa.debian.org/imobiledevice-team/usbmuxd.git
Vcs-Browser: https://salsa.debian.org/imobiledevice-team/usbmuxd

Package: usbmuxd
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Description: USB multiplexor daemon for iPhone and iPod Touch devices
 usbmuxd, the USB multiplexor daemon, is in charge of coordinating
 access to iPhone and iPod Touch services over USB. Synchronization and
 management applications for the iPhone and iPod Touch need this daemon
 to communicate with such devices concurrently.
 .
 This package includes udev rules to start the daemon when a supported
 device is plugged in, and stop it when all devices are removed.

## usbmuxd 1.1.1~git20181007.f838cf6

=== debian/changelog ===
usbmuxd (1.1.1~git20181007.f838cf6-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/control: update standards version to 4.2.1
  * d/watch: use HTTPS protocol
  * add override for usbmuxd.service missing install key

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 08 Oct 2018 22:12:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@alioth-lists.debian.net>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
                pkg-config,
                libusb-1.0-0-dev (>= 1.0.3) [linux-any],

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# Only install systemd/udev files on Linux
# see https://buildd.debian.org/quinn-diff/sid/Packages-arch-specific
override_dh_install:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	rm -f debian/usbmuxd/lib/udev/rules.d/* debian/tmp/lib/systemd/system/*
endif
	dh_install

override_dh_strip:
	dh_strip --dbgsym-migration='usbmuxd (<< 1.1.1~git20171130.46bdf3ec-0.1~)'

## usbmuxd 1.1.1~git20191130.9af2b12

=== debian/changelog ===
usbmuxd (1.1.1~git20191130.9af2b12-1) unstable; urgency=medium

  * d/usbmuxd.docs: handle README renaming
  * d/control: update standards version to 4.4.0
  * use debhelper-compat b-dep for dh compat level
  * d/control: update dh compat level to 11
  * d/rules: drop dbgsym migration snippets
  * d/control: update standards version to 4.4.1
  * d/patches: drop PIDFile directive from systemd unit file (Closes: #945186)

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 30 Nov 2019 19:45:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@alioth-lists.debian.net>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11),
                pkg-config,
                libusb-1.0-0-dev (>= 1.0.3) [linux-any],
                udev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 	rm -f debian/usbmuxd/lib/udev/rules.d/* debian/tmp/lib/systemd/system/*
 endif
 	dh_install
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='usbmuxd (<< 1.1.1~git20171130.46bdf3ec-0.1~)'
